import { IClientSideComponentManifest } from './manifestSchemas/IClientSideComponentManifest';
import { IClientSideApplicationManifest } from './manifestSchemas/IClientSideApplicationManifest';
import { IClientSideLibraryManifest } from './manifestSchemas/IClientSideLibraryManifest';
import { IClientSideWebPartManifest } from './manifestSchemas/IClientSideWebPartManifest';
export declare const zSchemaOptions: ZSchema.Options;
export interface IManifestValidatorResult {
    result: boolean;
    errors: ZSchema.SchemaError[];
}
export default class ManifestValidator {
    static validateApplicationManifest(manifest: string | IClientSideApplicationManifest): IManifestValidatorResult;
    static validateWebPartManifest(manifest: string | IClientSideWebPartManifest<any>): IManifestValidatorResult;
    static validateLibraryManifest(manifest: string | IClientSideLibraryManifest): IManifestValidatorResult;
    static validateManifest(manifest: string | IClientSideComponentManifest): IManifestValidatorResult;
    static extractInnerErrorMessages(errors: ZSchema.SchemaError[]): string[];
    static getFormattedErrorMessage(errors: ZSchema.SchemaError[]): string;
    private static _validateManifest(manifest, schema);
}
